import { cn } from "@/lib/utils";
import { Link } from "wouter";

type StyledLinkProps = {
    children?: React.ReactNode;
    className?: string;
    to: string;
};

export default function StyledLink({ children, className, ...rest }: StyledLinkProps) {
    return <Link {...rest}
        className={cn("hover:underline underline-offset-1 rounded-sm focus-visible:ring-1 focus-visible:ring-ring", className)}
    >{children}</Link>
}